Skip to main content
POST
/
api
/
tokens
Create a personal access token.
curl --request POST \
  --url https://openagents.com/api/tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "api-cli",
  "abilities": [
    "chat:read",
    "chat:write"
  ],
  "expires_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://openagents.com/api/tokens"

payload = {
"name": "api-cli",
"abilities": ["chat:read", "chat:write"],
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'api-cli',
abilities: ['chat:read', 'chat:write'],
expires_at: '2023-11-07T05:31:56Z'
})
};

fetch('https://openagents.com/api/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "abilities": [
      "<string>"
    ],
    "expiresAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "token": "<string>",
    "tokenableId": 123
  }
}
{
"message": "Unauthenticated."
}
{
"errors": {},
"message": "The given data was invalid."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a new Sanctum personal access token

name
string
required
Example:

"api-cli"

abilities
string[]
Example:
["chat:read", "chat:write"]
expires_at
string<date-time> | null

Response

Token created; plain token value is returned once

data
object